Incidencia #44307

Meta: Update supplied scenarios to 3.1 format

Abrir Fecha: 2022-04-09 19:38 Última actualización: 2022-06-15 02:48

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
Ninguno

Details

It's about time to update supplied scenarios to 3.1 savefile format. We want to do that early, so that the format gets tested before freeze.

The procedure:

Use server build with the AI modules suitable for the scenario, i.e., "classic" + "tex" for europe_1900_WW1 and just "classic" for all the others.

Start server
Switch to classic ruleset (we don't want to include civ2civ3-specific stuff to scenario files), except for tutorial scenario that is locked to civ2civ3
Load the scenario
Save it in 3.1 format with "scensave" -command
diff the old file and new one to see that the changes are what one would expect

---

british-isles.sav: #44308
earth-large.sav: #44356
earth-small.sav: #44357
europe_1900_WW1.sav: #44358
europe.sav: #44359
france.sav: #44360
hagworld.sav: #44361
iberian-peninsula.sav: #44362
italy.sav: #44363
japan.sav: #44364
north_america.sav: #44365
tileset-demo.sav: #44366
tutorial.sav: #44367

Ticket History (3/11 Histories)

2022-04-09 19:38 Updated by: cazfi
  • New Ticket "Meta: Update supplied scenarios to 3.1 format" created
2022-04-09 19:40 Updated by: cazfi
  • Details Updated
2022-04-09 19:47 Updated by: cazfi
  • Details Updated
2022-04-14 12:20 Updated by: cazfi
  • Details Updated
2022-04-14 12:45 Updated by: cazfi
  • Details Updated
2022-04-23 19:58 Updated by: cazfi
  • Details Updated
2022-04-23 21:47 Updated by: alain_bkr
Comentario

I start from a fresh S3_1 branch

$ git log -1
commit c2fc5f4e9a3af36ebd8f908301ea363696756548 (HEAD -> S3_1, origin/S3_1)
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 13 03:18:07 2022 +0300

I have errors with configure : 'text' is not a recognized option but 'tex' is.

I cannot build AI modules

  ./configure  --enable-ai-modules=yes 

  -> the summary says 
 == Server ==
  Build freeciv server:  yes
    AI modules support:    no

I plan to use the following config options :

# S3_1
#  ./configure --enable-gitrev --enable-debug=yes --enable-gprof --enable-client=gtk3.22,qt --with-qt5 --enable-ai-modules=yes --with-default-ai=classic,tex
Is this correct f, or could you provide a sample ? Thanks

2022-04-23 22:23 Updated by: cazfi
Comentario

Reply To alain_bkr

{{{ # S3_1 # ./configure --enable-gitrev --enable-debug=yes --enable-gprof --enable-client=gtk3.22,qt --with-qt5 --enable-ai-modules=yes --with-default-ai=classic,tex }}}

--enable-ai-modules adds support for dynamic ai modules, which you likely don't need now (I take a note that './configure --help' is not clear enough of that option)
If you really want to get it working, config.log would be the file to inspect (or a wild guess is that you would need explicit --enable-shared to support module building)
To have tex built in statically (not as a dynamic module), use --enable-ai-static=classic,tex
I recommend using --with-qtver=qt5 instead of deprecated --with-qt5

2022-04-24 15:36 Updated by: cazfi
  • Details Updated
2022-05-29 08:03 Updated by: cazfi
  • Details Updated
2022-06-15 02:48 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Fixed

Attachment File List

No attachments

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar